import os, json, re
from datetime import datetime
from clusterman.config import CONF
import clusterman.utils as utils 

def info():
    nodes=utils.get_node_list()
    cache=None
    if os.path.exists(CONF.CACHE_FILE):
        with open(CONF.CACHE_FILE) as f:
            cache=json.load(f)

    # Node 
    print("Node count: "+str(len(nodes)))

    # Groups
    print("Node groups: ",end="")
    if len(CONF["cluster"]["groups"]) > 0:
        content=list()
        for group in CONF["cluster"]["groups"].keys():
            content.append("{}({})".format(group,len(utils.get_node_in_group(group))))
        print(", ".join(content))
    else:
        print("NA")

    
    # Cache
    print("Last node scan: ",end="")
    if cache!=None and "last_scan" in CONF["cache"]:
        dt=datetime.fromtimestamp(int(CONF["cache"]["last_scan"]), tz=None)
        print(dt)
    else:
        print("NA")

    # Plugins
    print("Plugins list:")
    for name in CONF["plugins"]:
        print("  "+name+":\t"+CONF["plugins"][name])
